package com.activiti6.mapper;

import com.activiti6.entity.MyFormData;
import com.activiti6.entity.MyFormDataExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MyFormDataMapper {
    int countByExample(MyFormDataExample example);

    int deleteByExample(MyFormDataExample example);

    int deleteByPrimaryKey(Long fId);

    int insert(MyFormData record);

    int insertSelective(MyFormData record);

    List<MyFormData> selectByExample(MyFormDataExample example);

    MyFormData selectByPrimaryKey(Long fId);

    int updateByExampleSelective(@Param("record") MyFormData record, @Param("example") MyFormDataExample example);

    int updateByExample(@Param("record") MyFormData record, @Param("example") MyFormDataExample example);

    int updateByPrimaryKeySelective(MyFormData record);

    int updateByPrimaryKey(MyFormData record);

    void insertList(List<MyFormData> list);
}